routes/web.php
<?php

use App\Http\Controllers\BackendController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\OffreController;
use App\Models\Entreprise;
use App\Http\Controllers\EntrepriseController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\AptitudeController;
use App\Http\Controllers\OptionController;
use App\Http\Controllers\PromotionController;
use App\Http\Controllers\EleveController;
use App\Http\Controllers\PromotionEleveController;
use App\Http\Controllers\EntretienController;
use App\Http\Controllers\ProfesseurController;
use App\Http\Controllers\FicheController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/',[OffreController::class, 'welcome'])->name('welcome');
Route::get('/mentions',[BackendController::class, 'mentions'])->name('mentions');
Route::middleware(['auth'])->group(function () {
    Route::get('fiche/pdf', [FicheController::class, 'testViewPDF'])->name('testViewPDF');
    Route::get('fiche/export/{id}', [FicheController::class, 'getPostPdf'])->name('getPostPdf');
    Route::get('/', [OffreController::class, 'welcome'])->name('welcome');
    Route::post('/download', [BackendController::class, 'download'])->name('download');
    Route::get('profil', [UserController::class, 'profil'])->name('profil');
    Route::post('profil', [UserController::class, 'profilUpdate'])->name('profilUpdate');
    Route::post('/contact', [BackendController::class ,'contact'])->name('contact');
    Route::prefix('admin')->group(function () {
        Route::resource('aptitudes', AptitudeController::class);
        Route::resource('offres', OffreController::class);
        Route::resource('entreprises', EntrepriseController::class);
        Route::resource('users', UserController::class);
        Route::resource('option', OptionController::class);
        Route::resource('promotion', PromotionController::class);
        Route::resource('eleve', EleveController::class);
        Route::resource('eleve_promotion', PromotionEleveController::class);
        Route::resource('entretien', EntretienController::class);
        Route::resource('professeur', ProfesseurController::class);
        Route::resource('fiche', FicheController::class);
        Route::get('/', [BackendController::class ,'dashboard'])->name('dashboard');
    });
});
require __DIR__.'/auth.php';

app/Models/Eleve.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Eleve extends Model
{
    use HasFactory;

    protected $guarded = [];
    protected $fillable = ['age', 'date_naissance', 'code_postal', 'ville', 'adresse',
                            'telephone', 'formation_actuelle', 'diplome', 'specialite_lycee',
                            'langue_vivante_1', 'langue_vivante_2', 'option_id'
                          ];

    public function user()
    {
      return $this->morphOne('App\Models\User', 'profil');
    }

    public function option()
    {
      return $this->belongsTo(Option::class);
    }

    public function promotions(){
      return $this->belongsToMany(Promotion::class)->withTimestamps();
    }

    public function entretiens()
    {
      return $this->hasMany(Entretien::class);
    }
}

app/Http/Controllers/EleveController.php
<?php

namespace App\Http\Controllers;

use App\Models\Eleve;
use App\Models\Promotion;
use App\Models\Option;
use App\Models\ElevePromotion;
use App\Models\Entretien;
use App\Models\User;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Http\Request;

class EleveController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $eleves = Eleve::with('user')->with('promotions')->get();
        return view('eleves.index', compact('eleves'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $promotions = Promotion::all();
        return view('eleves.create', compact('promotions'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //dd($request);
        $validator = Validator::make($request->all(), [
            'nom' => 'required|max:255',
            'prenom' => 'required|max:255',
            'email' => 'required|unique:users',
            'password' => 'required',
            'date_naissance' => 'required',
            'telephone' => 'numeric',
            'adresse' => 'required',
            'code_postal' => 'numeric',
            'ville' => 'required',
            'formation_actuelle' => 'required',
            'diplome' => 'required',
            'specialite_lycee' => 'required',
            'langue_vivante_1' => 'required',
            'langue_vivante_2' => 'required',
        ]);
        if ($validator->fails()) {
            return redirect()->route('eleves.create')->withErrors($validator)->withInput();
        }
        $jourEntretiens = array();
        foreach($request->get("date_entretiens") as $date_entretien){
            if($date_entretien != null){
                $jourEntretiens[] = $date_entretien;
            }
        }
        $choixPromotions = array();
        foreach($request->get("promotions") as $date){
            $choixPromotions[] = $date;
        }
        $test;
        if(sizeof($choixPromotions) != sizeof($jourEntretiens)){
            return redirect()->route('eleve.create')->withErrors("Les liens entre les promotions et les date d'inscriptions sont incorrectes")->withInput();
        }

        $dateJour = Carbon::now();
        $age = $dateJour->diffInYears($request->get("date_naissance"));

        //Création de l'élève
        $eleve = new Eleve;
        $eleve->age = $age;
        $eleve->date_naissance = $request->get("date_naissance");
        $eleve->adresse = $request->get("adresse");
        $eleve->code_postal = $request->get("code_postal");
        $eleve->ville = $request->get("ville");
        $eleve->telephone = $request->get("telephone");
        $eleve->formation_actuelle = $request->get("formation_actuelle");
        $eleve->diplome = $request->get("diplome");
        $eleve->specialite_lycee = $request->get("specialite_lycee");
        $eleve->langue_vivante_1 = $request->get("langue_vivante_1");
        $eleve->langue_vivante_2 = $request->get("langue_vivante_2");
        $eleve->save();

         
        


        
        $index = 0;
        foreach ($request->get("promotions") as $promotions){
            $promotion = Promotion::find($promotions);

            $eleve->promotions()->attach($promotion);

            //Création de l'entretien
            $entretien = new Entretien;
            $entretien->date_entretien = $jourEntretiens[$index];
            $entretien->eleve_id = $eleve->id;
            $entretien->professeur_id = $promotion->professeur_id;
            
            $eps = DB::table('eleve_promotion')
                ->where('eleve_id', $eleve->id)
                ->where('promotion_id', $promotion->id)
                ->get();
            
            foreach($eps as $ep){
                $entretien->eleve_promotion_id = $ep->id;
            }           
            
            $entretien->save();

            $index++;
            

        }

        //Création de User
        $user = new User;
        $user->nom = $request->get("nom");
        $user->prenom = $request->get("prenom");
        $user->isAdmin = false;
        $user->email = $request->get("email");
        $user->password = Hash::make("password");
        $user->profil_type = "App\Models\Eleve";
        $user->profil_id = $eleve->id;
        $user->save();

        //Création de l'entretien
        



        //Création du lien promotion et élève 
        //$promotionEleve = new PromotionEleve;
        //$promotionEleve->promotion_id = $request->get("promotion_id");
        //$promotionEleve->eleve_id = $request->get("id");
        //$promotionEleve->save();

        return redirect()->route('eleve.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Eleve  $eleve
     * @return \Illuminate\Http\Response
     */
    public function show(Eleve $eleve)
    {
        //
        return view('eleves.show', compact('eleve'));
       
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Eleve  $eleve
     * @return \Illuminate\Http\Response
     */
    public function edit(Eleve $eleve)
    {
        //Envoyer vers  le page de modification
        $promotions = Promotion::all();
        return view('eleves.edit', compact('eleve', 'promotions'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Eleve  $eleve
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Eleve $eleve)
    {
        //
        $validator = Validator::make($request->all(), [
            'nom' => 'required|max:255',
            'prenom' => 'required|max:255',
            'email' => 'required|email',
            'date_naissance' => 'required',
            'telephone' => 'numeric',
            'adresse' => 'required',
            'code_postal' => 'numeric',
            'ville' => 'required',
            'formation_actuelle' => 'required',
            'diplome' => 'required',
            'specialite_lycee' => 'required',
            'langue_vivante_1' => 'required',
            'langue_vivante_2' => 'required',
        ]);
        if ($validator->fails()) {
            return redirect()->route('eleve.edit', $eleve)->withErrors($validator)->withInput();
        }

        $dateJour = Carbon::now();
        $age = $dateJour->diffInYears($request->get("date_naissance"));

         //Modification de l'élève
         $eleve = Eleve::find($eleve->id);
         $eleve->age = $age;
         $eleve->date_naissance = $request->get("date_naissance");
         $eleve->adresse = $request->get("adresse");
         $eleve->code_postal = $request->get("code_postal");
         $eleve->ville = $request->get("ville");
         $eleve->telephone = $request->get("telephone");
         $eleve->formation_actuelle = $request->get("formation_actuelle");
         $eleve->diplome = $request->get("diplome");
         $eleve->specialite_lycee = $request->get("specialite_lycee");
         $eleve->langue_vivante_1 = $request->get("langue_vivante_1");
         $eleve->langue_vivante_2 = $request->get("langue_vivante_2");
         $eleve->save();
         $eleve->promotions()->sync($request->input("promotions"));
         
        $entretiens = Entretien::where('eleve_id', $eleve->id)->get();

        
/*
        $entretiens = DB::table('entretiens')
                        ->join('eleve_promotion', 'eleve_promotion.id', '=', 'entretiens.eleve_promotion_id')
                        ->join('promotions', 'promotions.id', '=', 'eleve_promotion.promotion_id')
                        ->where('entretiens.eleve_id', '=', $eleve->id)
                        ->orderBy('promotions.id')->get();
                        */
        
        $elevePromotions = DB::table('eleve_promotion')->where('eleve_id', $eleve->id)->orderBy('promotion_id')->get();

        $jourEntretiens = array();
        foreach($request->get("date_entretiens") as $date_entretien){
            if($date_entretien != null){
                $jourEntretiens[] = $date_entretien;
            }
        }

        $verif = false;
        $index = 0;
        foreach($elevePromotions as $elevePromotion){
            foreach($entretiens as $entretien){
                if($elevePromotion->id == $entretien->eleve_promotion_id){
                    $verif = true;
                    $e = Entretien::find($entretien->id);
                    $e->date_entretien = $jourEntretiens[$index];
                    $e->save();
                }
            }

            if($verif == false){
                //Création de l'entretien
                $entretien = new Entretien; 
                $entretien->date_entretien = $jourEntretiens[$index];
                $entretien->eleve_id = $eleve->id;
                $entretien->eleve_promotion_id = $elevePromotion->id;
                $pro = Promotion::find($elevePromotion->promotion_id);
                $entretien->professeur_id = $pro->professeur_id;
                $entretien->save();
            }
            $index++;
            $verif = false;
        }
        
        
        
        


         

         //Modification de User
        $user = User::find($eleve->user->id);
        $user->nom = $request->get("nom");
        $user->prenom = $request->get("prenom");
        $user->isAdmin = false;
        $user->email = $request->get("email");
        $user->profil_type = "App\Models\Eleve";
        $user->profil_id = $eleve->id;
        $user->save();
        
        
        /*

resources/views/eleves/create.blade.php
@extends('backend.template')

@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="center">
            <h2>Ajouter un nouveau élève</h2>
        </div>
        <div class="float-end padd20">
            <a class="btn btn-outline-primary" href="{{ route('eleve.index') }}"> Retour</a>
        </div>
    </div>
</div>

@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Oups! </strong> Il y a eu des problèmes avec votre entrée.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
<div class="padd20">
  <form action="{{ route('eleve.store')}}" method="POST">
      @csrf
      <div class="row">
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Nom :</strong>
                  <input type="text" id="nom" name="nom" class="form-control" placeholder="Saisir un nom" value="{{old('nom')}}">
              </div>
          </div>
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Prénom :</strong>
                  <input type="text" id="prenom" name="prenom" class="form-control" placeholder="Saisir un prénom" value="{{old('prenom')}}">
              </div>
          </div>
      </div>
      <div class="row">
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Adresse mail :</strong>
                  <input type="text" id="email" name="email" class="form-control" placeholder="Saisir une adresse mail" value="{{old('email')}}">
              </div>
          </div>
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Mot de passe :</strong>
                  <input type="password" id="password" name="password" class="form-control" placeholder="Saisir une mot de passe" value="{{old('password')}}">
              </div>
          </div>
      </div>
      <div class="row">
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Date de naissance:</strong>
                  <input type="date" id="date_naissance" name="date_naissance" class="form-control" value="{{old('date_naissance')}}">
              </div>
          </div>
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Téléphone :</strong>
                  <input type="text" id="telephone" name="telephone" class="form-control" placeholder="Saisir un numéro de téléphone" value="{{old('telephone')}}">
              </div>
          </div>
      </div>
      <div class="row">
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Adresse :</strong>
                  <input type="text" id="adresse" name="adresse" class="form-control" placeholder="Saisir une adresse" value="{{old('adresse')}}">
              </div>
          </div>
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Code postal :</strong>
                  <input type="text" id="code_postal" name="code_postal" class="form-control" placeholder="Saisir un code postal" value="{{old('code_postal')}}">
              </div>
          </div>
      </div>
      <div class="row">
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Ville :</strong>
                  <input type="text" id="ville" name="ville" class="form-control" placeholder="Saisir une ville" value="{{old('ville')}}">
              </div>
          </div>
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Formation_actuelle :</strong>
                  <input type="text" id="formation_actuelle" name="formation_actuelle" class="form-control" placeholder="Saisir la formation actuel" value="{{old('formation_actuelle')}}">
              </div>
          </div>
      </div>
      <div class="row">
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Diplôme :</strong>
                  <input type="text" id="diplome" name="diplome" class="form-control" placeholder="Saisir un diplôme" value="{{old('diplome')}}">
              </div>
          </div>
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>Spécialiter choisie au  lycée :</strong>
                  <input type="text" id="specialite_lycee" name="specialite_lycee" class="form-control" placeholder="Saisir la spécialiser que l'élève a choisi au lycée" value="{{old('specialite_lycee')}}">
              </div>
          </div>
      </div>
      <div class="row">
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>LV1:</strong>
                  <input type="text" id="langue_vivante_1" name="langue_vivante_1" class="form-control" placeholder="Saisir la LV1" value="{{old('langue_vivante_1')}}">
              </div>
          </div>
          <div class="col-xs-6 col-sm-6 col-md-6">
              <div class="form-group">
                  <strong>LV2 :</strong>
                  <input type="text" id="langue_vivante_2" name="langue_vivante_2" class="form-control" placeholder="Saisir la LV2" value="{{old('langue_vivante_2')}}">
              </div>
          </div>
      </div>


      <div class="row">
      <label for="promotion">Promotion souhaiter :</label>
          @foreach($promotions as $promotion)
              <div  class="col-xs-6 col-sm-6 col-md-6">
                  <div class="form-group">
                      <p>
                          <input type="checkbox" name="promotions[]" id="promotions[]" value="{{$promotion->id}}" /> {{$promotion->libelle}} </br>
                          <strong>Date d'entretien:</strong>
                          <input type="date" id="date_entretiens[]" name="date_entretiens[]" class="form-control" value="{{old('date')}}" disabled>
                      </p>
                  </div>
              </div>
          @endforeach
      </div>

  </form>
  <div class="">
     <button  class="btn btn-outline-success">Valider</button>
  </div>
</div>
<script>
    document.getElementsByName('promotions[]').forEach(element => element.addEventListener('change', function(){
        if(element.checked == true){
            element.parentElement.querySelector('input[name="date_entretiens[]"]').toggleAttribute('disabled', false);
        }
        else{
            element.parentElement.querySelector('input[name="date_entretiens[]"]').toggleAttribute('disabled', true);
        }
    }));
</script>

@endsection

resources/views/eleves/edit.blade.php
@extends('backend.template')

@section('content')
<div class="row">
    <div class="col-lg-12 margin-tb">
        <div class="float-start">
            <h2>Modifier l'élève : {{$eleve->prenom}} {{$eleve->nom}}</h2>
        </div>
        <div class="float-end">
            <a class="btn btn-outline-primary" href="{{ route('eleve.index') }}"> Retour</a>
        </div>
    </div>
</div>

@if ($errors->any())
    <div class="alert alert-danger">
        <strong>Oups! </strong> Il y a eu des problèmes avec votre entrée.<br><br>
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<form action="{{route('eleve.update', $eleve)}}" method="POST">
    @csrf
    @method('PUT')
    <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Nom :</strong>
                <input type="text" id="nom" name="nom" value="{{$eleve->user->nom}}" class="form-control" placeholder="Saisir un nom">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Prénom :</strong>
                <input type="text" id="prenom" name="prenom" value="{{$eleve->user->prenom}}" class="form-control" placeholder="Saisir un prénom">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Adresse mail :</strong>
                <input type="text" id="email" name="email" value="{{$eleve->user->email}}" class="form-control" placeholder="Saisir une adresse mail">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Date de naissance:</strong>
                <input type="date" id="date_naissance" value="{{$eleve->date_naissance}}" name="date_naissance" class="form-control">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Téléphone :</strong>
                <input type="text" id="telephone" name="telephone" value="{{$eleve->telephone}}" class="form-control" placeholder="Saisir un numéro de téléphone">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Adresse :</strong>
                <input type="text" id="adresse" name="adresse" value="{{$eleve->adresse}}" class="form-control" placeholder="Saisir une adresse">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Code postal :</strong>
                <input type="text" id="code_postal" name="code_postal" value="{{$eleve->code_postal}}" class="form-control" placeholder="Saisir un code postal">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Ville :</strong>
                <input type="text" id="ville" name="ville" value="{{$eleve->ville}}" class="form-control" placeholder="Saisir une ville">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Formation_actuelle :</strong>
                <input type="text" id="formation_actuelle" name="formation_actuelle" value="{{$eleve->formation_actuelle}}" class="form-control" placeholder="Saisir la formation actuel">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Diplôme :</strong>
                <input type="text" id="diplome" name="diplome" value="{{$eleve->diplome}}" class="form-control" placeholder="Saisir un diplôme">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>Spécialiter choisie au  lycée :</strong>
                <input type="text" id="specialite_lycee" name="specialite_lycee" value="{{$eleve->specialite_lycee}}" class="form-control" placeholder="Saisir la spécialiser que l'élève a choisi au lycée">
            </div>
        </div>
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>LV1:</strong>
                <input type="text" id="langue_vivante_1" name="langue_vivante_1" value="{{$eleve->langue_vivante_1}}" class="form-control" placeholder="Saisir la LV1">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-6 col-sm-6 col-md-6">
            <div class="form-group">
                <strong>LV2 :</strong>
                <input type="text" id="langue_vivante_2" name="langue_vivante_2" value="{{$eleve->langue_vivante_2}}" class="form-control" placeholder="Saisir la LV2">
            </div>
        </div>
    </div>
    
    <div class="row">
    <label for="promotion">Promotion souhaiter :</label>
        @foreach($promotions as $promotion)
            <div  class="col-xs-6 col-sm-6 col-md-6">
                <div class="form-group">
                    <p>
                        @if($eleve->promotions->contains($promotion->id))
                            <input  type="checkbox" value="{{$promotion->id}}" name="promotions[]" checked="true">
                            <label  for="defaultCheck1">{{$promotion->libelle}}</label>
                            <strong>Date d'entretien :</strong>
                            <input type="date" id="date_entretien[]" name="date_entretiens[]" class="form-control">
                        @else
                            <input  type="checkbox" value="{{$promotion->id}}" name="promotions[]" >
                            <label  for="defaultCheck1">{{$promotion->libelle}}</label>
                            <strong>Date d'entretien :</strong>
                            <input type="date" id="date_entretien[]" name="date_entretiens[]"  class="form-control" disabled>
                        @endif
                    </p>
                </div>
            </div>
        @endforeach
    </div>

    <div class="row">
       <button  class="btn btn-outline-success"> Modifier </button>
    </div>
</form>

<script>
    document.getElementsByName('promotions[]').forEach(element => element.addEventListener('change', function(){
        if(element.checked == true){
            element.parentElement.querySelector('input[name="date_entretiens[]"]').toggleAttribute('disabled', false);
        }
        else{
            element.parentElement.querySelector('input[name="date_entretiens[]"]').toggleAttribute('disabled', true);
        }
    }));
</script>

@endsection

resources/views/eleves/index.blade.php
@extends('backend.template')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="float-start">
                <h2>CRUD Eleve</h2>
            </div>
            <div class="float-end">
                <a class="btn btn-outline-success"  href="{{ route('eleve.create') }}">Ajouter un nouvel élève</a>
            </div>
        </div>
    </div>
    <table class="table table-bordered">
        <tr>
            <th>Nom</th>
            <th>Prenom</th>
            <th>Age</th>
            <th>Promotion voulue</th>
        </tr>

        @foreach($eleves as $eleve)
        <tr>
            <td>{{$eleve->user->nom}}</td>
            <td>{{$eleve->user->prenom}}</td>
            <td>{{$eleve->age}}</td>
            <td>
                @foreach($eleve->promotions as $promotion)
                    {{$promotion->libelle}} /
                @endforeach
            <td>
                <form action="{{ route('eleve.destroy',$eleve->id) }}" method="POST">
                    <a class="btn btn-outline-primary btn-show" href="{{ route('eleve.show',$eleve->id) }}"></a>
                    <a class="btn btn-outline-success btn-edit" href="{{ route('eleve.edit',$eleve->id) }}"></a>
                    @csrf
                    @method('DELETE')
                    <button type="submit" class="btn btn-outline-danger btn-delete"></button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
  </div>

@endsection